Class PatchPanelJson
java.lang.Object
com.eqixiac.equinix.internetaccess.model.json.PatchPanelJson
- All Implemented Interfaces:
PatchPanel
Read-only JSON model for a
PatchPanel returned by the Equinix Internet Access (EIA) v1
product-availability lookup GET /internetAccess/v1/patchPanels. Implements
PatchPanel directly, so no wrapper is required.-
Constructor Summary
Constructors -
Method Summary
Methods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface PatchPanel
getAccount, getAvailablePorts, getAvailablePortsCount, getCabinet, getCage, getCustomerRefNumber, getDedicatedMediaType, getLocation, getMediaTypes, getNumber, getOwnedPorts, getOwnedPortsCount, getPrewired, getType
-
Constructor Details
-
PatchPanelJson
public PatchPanelJson()
-